Skip to main content
POST
/
virtual-wallets
/
{walletId}
/
withdraw
curl -X POST "https://api.cryptomate.me/virtual-wallets/vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/withdraw" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "to_wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "amount": 100.50
  }'
{
  "transaction_hash": "0x8a3d82e8f6c4e3f1b2d7a9c5e1f3b8d6a4c2e8f1",
  "status": "PENDING"
}
Withdraws tokens from a virtual wallet to a specified external address. This operation is idempotent. Requires an API key with access level 2 or higher.

Path parameters

walletId
string
required
Unique identifier of the virtual wallet.

Body

to_wallet_address
string
required
Destination wallet address for the transfer.
token_address
string
required
Token contract address on the blockchain.
amount
number
required
Amount of tokens to transfer (maximum 6 decimal places).

Response

transaction_hash
string
On-chain transaction hash.
status
string
Current transaction status.
curl -X POST "https://api.cryptomate.me/virtual-wallets/vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/withdraw" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "to_wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "amount": 100.50
  }'
{
  "transaction_hash": "0x8a3d82e8f6c4e3f1b2d7a9c5e1f3b8d6a4c2e8f1",
  "status": "PENDING"
}